Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.logging.log4j.core.config.status
Enum StatusConfiguration.Verbosity

    java.lang.Object
      java.lang.Enum<StatusConfiguration.Verbosity>
          org.apache.logging.log4j.core.config.status.StatusConfiguration.Verbosity

All Implemented Interfaces:
  Serializable, Comparable<StatusConfiguration.Verbosity>

Enclosing class:
  StatusConfiguration

    public static enum StatusConfiguration.Verbosity

extends Enum<StatusConfiguration.Verbosity>

Specifies how verbose the StatusLogger should be.

Enum Constant Summary
`QUIET`
`VERBOSE`

Method Summary
`static StatusConfiguration.Verbosity` | `toVerbosity(String value)` Parses the verbosity property into an enum.
`static StatusConfiguration.Verbosity` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static StatusConfiguration.Verbosity[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### QUIET

    public static final StatusConfiguration.Verbosity QUIET

### VERBOSE

    public static final StatusConfiguration.Verbosity VERBOSE

Method Detail

### values

    public static StatusConfiguration.Verbosity[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (StatusConfiguration.Verbosity c : StatusConfiguration.Verbosity.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static StatusConfiguration.Verbosity valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toVerbosity

    public static StatusConfiguration.Verbosity toVerbosity(String value)

  Parses the verbosity property into an enum.

  Parameters:
    `value` - property value to parse.
  Returns:
    enum corresponding to value, or QUIET by default.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.